Double clicking on a file in the file selection dialog crashes Firefox [@ -[NSTableView drawRowIndexes:clipRect:]]

RESOLVED INCOMPLETE

Status

()

--
critical
RESOLVED INCOMPLETE
11 years ago
7 years ago

People

(Reporter: Usul, Unassigned)

Tracking

({crash})

Trunk
PowerPC
Mac OS X
crash
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(crash signature)

(Reporter)

Description

11 years ago
On Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9b4) Gecko/2008030317 Firefox/3.0b4 running Mac os X 10.4.11 ,

find a web application that has a submit file buton, press that button,
navigate a few folders down and double-click on the file. Mozilla crashes and produces :

http://crash-stats.mozilla.com/report/index/476dd1a3-ef72-11dc-8304-001a4bd46e84

I can reproduce - not all the time. When using the buton it hasn't crashed on me yet.

Could not find my other submitted crash repport (as I crashed at least three times using the same technique)
Component: General → File Handling
Keywords: crash
QA Contact: general → file.handling
This may be a dup of bug 409615.
(Reporter)

Comment 2

11 years ago
Flash installed on the machine is Shockwave Flash 9.0 r115.
(Reporter)

Comment 3

11 years ago
>This may be a dup of bug 409615.

After reading the bug - I can add the following the application we use is Aptest and is completely perl based and does not use flash so I think this is not a duplicates.
But could be related to bug 420967. Vlad, if you agree we should mark this bug as depending on bug 420967.

Comment 5

11 years ago
Signature	libobjc.A.dylib@0x24c7
UUID	476dd1a3-ef72-11dc-8304-001a4bd46e84
Time	2008-03-11 06:50:06-07:00
Uptime	0
Product	Firefox
Version	3.0b4
Build ID	2008030317
OS	Mac OS X
OS Version	10.4.11 8S2167
CPU	x86
CPU Info	GenuineIntel family 6 model 15 stepping 6
Crash Reason	EXC_BAD_ACCESS / KERN_INVALID_ADDRESS
Crash Address	0x90a594c7
Comments	Selecting a file from a file dialog
Crashing Thread
Frame 	Signature 	Source
0 	libobjc.A.dylib@0x24c7 	
1 	AppKit@0x16b7f9 	
2 	AppKit@0x16a6cf 	
3 	AppKit@0x963d0 	
4 	AppKit@0x948b2 	
5 	AppKit@0x95060 	
6 	AppKit@0x95060 	
7 	AppKit@0x95060 	
8 	AppKit@0x95060 	
9 	AppKit@0x95060 	
10 	AppKit@0x95060 	
11 	AppKit@0x95060 	
12 	AppKit@0x95060 	
13 	AppKit@0x95060 	
14 	AppKit@0x93b97 	
15 	AppKit@0x93381 	
16 	AppKit@0x92cad 	
17 	AppKit@0x92a51 	
18 	AppKit@0xe2d8b 	
19 	CoreFoundation@0x22cf5 	
20 	CoreFoundation@0x21daa 	
21 	CoreFoundation@0x21a55 	
22 	HIToolbox@0x9877 	
23 	HIToolbox@0x8eb8 	
24 	HIToolbox@0x8dd8 	
25 	AppKit@0x17484 	
26 	AppKit@0x17075 	
27 	AppKit@0xe21f3 	
28 	AppKit@0xe0fca 	
29 	AppKit@0x206e47 	
30 	nsFilePicker::GetLocalFiles(nsString const&, int, nsCOMArray<nsILocalFile>&) 	mozilla/widget/src/cocoa/nsFilePicker.mm:263
31 	nsFilePicker::Show(short*) 	mozilla/widget/src/cocoa/nsFilePicker.mm:204
32 	nsFileControlFrame::MouseClick(nsIDOMEvent*) 	mozilla/layout/forms/nsFileControlFrame.cpp:345
33 	nsEventListenerManager::HandleEvent(nsPresContext*, nsEvent*, nsIDOMEvent**, nsISupports*, unsigned int, nsEventStatus*) 	mozilla/content/events/src/nsEventListenerManager.cpp:184
34 	nsEventTargetChainItem::HandleEvent(nsEventChainPostVisitor&, unsigned int) 	mozilla/content/events/src/nsEventDispatcher.cpp:206
35 	nsEventTargetChainItem::HandleEventTargetChain(nsEventChainPostVisitor&, unsigned int, nsDispatchingCallback*) 	mozilla/content/events/src/nsEventDispatcher.cpp:264
36 	nsEventTargetChainItem::HandleEventTargetChain(nsEventChainPostVisitor&, unsigned int, nsDispatchingCallback*) 	mozilla/content/events/src/nsEventDispatcher.cpp:316
37 	nsEventDispatcher::Dispatch(nsISupports*, nsPresContext*, nsEvent*, nsIDOMEvent*, nsEventStatus*, nsDispatchingCallback*) 	mozilla/content/events/src/nsEventDispatcher.cpp:479
38 	PresShell::HandleEventInternal(nsEvent*, nsIView*, nsEventStatus*) 	mozilla/layout/base/nsPresShell.cpp:5895
39 	PresShell::HandleEventWithTarget(nsEvent*, nsIFrame*, nsIContent*, nsEventStatus*) 	mozilla/layout/base/nsPresShell.cpp:5800
40 	nsEventStateManager::CheckForAndDispatchClick(nsPresContext*, nsMouseEvent*, nsEventStatus*) 	mozilla/content/events/src/nsEventStateManager.cpp:3356
41 	nsEventStateManager::PostHandleEvent(nsPresContext*, nsEvent*, nsIFrame*, nsEventStatus*, nsIView*) 	mozilla/content/events/src/nsEventStateManager.cpp:2420
42 	PresShell::HandleEventInternal(nsEvent*, nsIView*, nsEventStatus*) 	mozilla/layout/base/nsPresShell.cpp:5916
43 	PresShell::HandlePositionedEvent(nsIView*, nsIFrame*, nsGUIEvent*, nsEventStatus*) 	mozilla/layout/base/nsPresShell.cpp:5783
44 	PresShell::HandleEvent(nsIView*, nsGUIEvent*, nsEventStatus*) 	mozilla/layout/base/nsPresShell.cpp:5643
45 	nsViewManager::HandleEvent(nsView*, nsPoint, nsGUIEvent*, int) 	mozilla/view/src/nsViewManager.cpp:1396
46 	nsViewManager::DispatchEvent(nsGUIEvent*, nsEventStatus*) 	mozilla/view/src/nsViewManager.cpp:1351
47 	HandleEvent(nsGUIEvent*) 	mozilla/view/src/nsView.cpp:168
48 	nsChildView::DispatchEvent(nsGUIEvent*, nsEventStatus&) 	mozilla/widget/src/cocoa/nsChildView.mm:1544
49 	nsChildView::DispatchWindowEvent(nsGUIEvent&) 	mozilla/widget/src/cocoa/nsChildView.mm:1557
50 	nsChildView::DispatchMouseEvent(nsMouseEvent&) 	mozilla/widget/src/cocoa/nsChildView.mm:1569
51 	-[ChildView mouseUp:] 	mozilla/widget/src/cocoa/nsChildView.mm:2867
52 	AppKit@0xf445e 	
53 	-[NSWindow(MethodSwizzling) nsCocoaWindow_NSWindow_sendEvent:] 	mozilla/widget/src/cocoa/nsCocoaWindow.mm:2011
54 	AppKit@0xe6383 	
55 	AppKit@0x10e1d 	
56 	nsAppShell::Run() 	mozilla/widget/src/cocoa/nsAppShell.mm:587
57 	nsAppStartup::Run() 	mozilla/toolkit/components/startup/src/nsAppStartup.cpp:181
58 	XRE_main 	mozilla/toolkit/xre/nsAppRunner.cpp:3149
59 	main 	mozilla/browser/app/nsBrowserApp.cpp:158
60 	start 	crt.c:272
61 	start 	
62 	@0x1 	
Assignee: nobody → joshmoz
Component: File Handling → Widget: Cocoa
Keywords: crashreportid
Product: Firefox → Core
QA Contact: file.handling → cocoa
Version: unspecified → Trunk
Someone please provide an example URL (fully accessible) that
demonstrates this problem.
> Someone please provide an example URL (fully accessible) that
> demonstrates this problem.

Someone REALLY needs to do this.

In the meantime, here's a tryserver build made with the latest patches
for bug 419668 and bug 409615.  It's possible that the patch for bug
419668 will also fix this problem (these problems?).

https://build.mozilla.org/tryserver-builds/2008-03-14_10:55-smichaud@mozilla.com-bugzilla419668-409615/smichaud@mozilla.com-bugzilla419668-409615-firefox-try-mac.dmg
Ludovic, can you provide an URL or a simplified testcase so we could dive in? That would be really helpful.
(Reporter)

Comment 9

11 years ago
(In reply to comment #8)
> Ludovic, can you provide an URL or a simplified testcase so we could dive in?
> That would be really helpful.

I can't. Right now. I'll setup an instance on my personnal machine temporarily for you guys to test and play with .

(In reply to comment #7)
> > Someone please provide an example URL (fully accessible) that
> > demonstrates this problem.
> 
> Someone REALLY needs to do this.
> 
> In the meantime, here's a tryserver build made with the latest patches
> for bug 419668 and bug 409615.  It's possible that the patch for bug
> 419668 will also fix this problem (these problems?).
> 
> https://build.mozilla.org/tryserver-builds/2008-03-14_10:55-smichaud@mozilla.com-bugzilla419668-409615/smichaud@mozilla.com-bugzilla419668-409615-firefox-try-mac.dmg
> 

This will get tested ASAP monday morning CET.

(Reporter)

Comment 10

11 years ago
> > Someone REALLY needs to do this.

I will - will try tomorrow and will privately contact smichaud
 
> > In the meantime, here's a tryserver build made with the latest patches
> > for bug 419668 and bug 409615.  It's possible that the patch for bug
> > 419668 will also fix this problem (these problems?).
> > 
> > https://build.mozilla.org/tryserver-builds/2008-03-14_10:55-smichaud@mozilla.com-bugzilla419668-409615/smichaud@mozilla.com-bugzilla419668-409615-firefox-try-mac.dmg

Sorry for the delay, with this build we did crash butr only once after some time of usage.

(Reporter)

Comment 11

11 years ago
crash log from comment 10

Host Name:      Joost-1161
Date/Time:      2008-03-18 13:58:32.581 +0100
OS Version:     10.4.11 (Build 8S2167)
Report Version: 4

Command: firefox-bin
Path:    /Applications/Minefield.app/Contents/MacOS/firefox-bin
Parent:  launchd [1]

Version: 3.0b5pre (3.0b5pre)

PID:    2279
Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000000

Thread 0 Crashed:
0   libobjc.A.dylib                	0x90a594c7 objc_msgSend + 23
1   com.apple.AppKit               	0x933ca7fa -[NSTableView drawRowIndexes:clipRect:] + 99
2   com.apple.AppKit               	0x933c96d0 -[NSTableView drawRect:] + 2499
3   com.apple.AppKit               	0x932f53d1 -[NSView _drawRect:clip:] + 3228
4   com.apple.AppKit               	0x932f38b3 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 1273
5   com.apple.AppKit               	0x932f4061 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 3239
6   com.apple.AppKit               	0x932f4061 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 3239
7   com.apple.AppKit               	0x932f4061 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 3239
8   com.apple.AppKit               	0x932f4061 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 3239
9   com.apple.AppKit               	0x932f4061 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 3239
10  com.apple.AppKit               	0x932f4061 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 3239
11  com.apple.AppKit               	0x932f4061 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 3239
12  com.apple.AppKit               	0x932f4061 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 3239
13  com.apple.AppKit               	0x932f4061 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 3239
14  com.apple.AppKit               	0x932f2b98 -[NSThemeFrame _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 290
15  com.apple.AppKit               	0x932f2382 -[NSView _displayRectIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:] + 523
16  com.apple.AppKit               	0x932f1cae -[NSView displayIfNeeded] + 439
17  com.apple.AppKit               	0x932f1a52 -[NSWindow displayIfNeeded] + 168
18  com.apple.AppKit               	0x93341d8c _handleWindowNeedsDisplay + 206
19  com.apple.CoreFoundation       	0x9082dcf6 __CFRunLoopDoObservers + 342
20  com.apple.CoreFoundation       	0x9082cdab CFRunLoopRunSpecific + 846
21  com.apple.CoreFoundation       	0x9082ca56 CFRunLoopRunInMode + 61
22  com.apple.HIToolbox            	0x92df0878 RunCurrentEventLoopInMode + 285
23  com.apple.HIToolbox            	0x92defeb9 ReceiveNextEventCommon + 184
24  com.apple.HIToolbox            	0x92defdd9 BlockUntilNextEventMatchingListInMode + 81
25  com.apple.AppKit               	0x93276485 _DPSNextEvent + 572
26  com.apple.AppKit               	0x93276076 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 137
27  com.apple.AppKit               	0x933411f4 -[NSApplication _realDoModalLoop:peek:] + 439
28  com.apple.AppKit               	0x9333ffcb -[NSApplication runModalForWindow:] + 171
29  com.apple.AppKit               	0x93465e48 -[NSSavePanel(NSSavePanelRuntime) runModalForDirectory:file:types:] + 218
30  XUL                            	0x017666e9 JSD_GetValueForObject + 657414
31  XUL                            	0x01766d44 JSD_GetValueForObject + 659041
32  XUL                            	0x0122b245 XRE_GetFileFromPath + 2113507
33  XUL                            	0x01354293 XRE_GetFileFromPath + 3330097
34  XUL                            	0x01369ffe XRE_GetFileFromPath + 3419548
35  XUL                            	0x0136a224 XRE_GetFileFromPath + 3420098
36  XUL                            	0x0136a2d8 XRE_GetFileFromPath + 3420278
37  XUL                            	0x0136ac9e XRE_GetFileFromPath + 3422780
38  XUL                            	0x011b911c XRE_GetFileFromPath + 1646266
39  XUL                            	0x011b9336 XRE_GetFileFromPath + 1646804
40  XUL                            	0x01357304 XRE_GetFileFromPath + 3342498
41  XUL                            	0x0135d7fd XRE_GetFileFromPath + 3368347
42  XUL                            	0x011b9174 XRE_GetFileFromPath + 1646354
43  XUL                            	0x011b9b81 XRE_GetFileFromPath + 1648927
44  XUL                            	0x011bc204 XRE_GetFileFromPath + 1658786
45  XUL                            	0x0142e8a3 XRE_GetFileFromPath + 4224577
46  XUL                            	0x0143085a XRE_GetFileFromPath + 4232696
47  XUL                            	0x0142adfc XRE_GetFileFromPath + 4209562
48  XUL                            	0x0177e783 JSD_GetValueForObject + 755872
49  XUL                            	0x0177c630 JSD_GetValueForObject + 747341
50  XUL                            	0x0177e818 JSD_GetValueForObject + 756021
51  XUL                            	0x0177fbc8 JSD_GetValueForObject + 761061
52  com.apple.AppKit               	0x9335345f -[NSWindow sendEvent:] + 5403
53  XUL                            	0x01772f9c JSD_GetValueForObject + 708793
54  com.apple.AppKit               	0x93345384 -[NSApplication sendEvent:] + 5023
55  com.apple.AppKit               	0x9326fe1e -[NSApplication run] + 547
56  XUL                            	0x0176aba7 JSD_GetValueForObject + 675012
57  XUL                            	0x0163da49 XRE_GetFileFromPath + 6383591
58  XUL                            	0x01010ab3 XRE_main + 13279
59  org.mozilla.firefox            	0x00001d25 start + 641
60  org.mozilla.firefox            	0x00001bb2 start + 270
61  org.mozilla.firefox            	0x00001acd start + 41

Thread 1:
0   libSystem.B.dylib              	0x9001a1cc select + 12
1   libnspr4.dylib                 	0x0004ebb7 PR_Poll + 134
2   XUL                            	0x01083f7e XRE_GetFileFromPath + 380188
3   XUL                            	0x010844c4 XRE_GetFileFromPath + 381538
4   XUL                            	0x010847d6 XRE_GetFileFromPath + 382324
5   XUL                            	0x017f07c2 NS_GetComponentRegistrar_P + 28442
6   XUL                            	0x017bb2e9 GetSecurityContext(JNIEnv_*, nsISecurityContext**) + 99053
7   XUL                            	0x01084d7c XRE_GetFileFromPath + 383770
8   XUL                            	0x017f081f NS_GetComponentRegistrar_P + 28535
9   XUL                            	0x017bb2e9 GetSecurityContext(JNIEnv_*, nsISecurityContext**) + 99053
10  XUL                            	0x017f0a97 NS_GetComponentRegistrar_P + 29167
11  libnspr4.dylib                 	0x000501f8 PR_Select + 813
12  libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 2:
0   libSystem.B.dylib              	0x90047dd7 semaphore_timedwait_signal_trap + 7
1   libnspr4.dylib                 	0x0004b878 PR_Lock + 246
2   libnspr4.dylib                 	0x0004bbcf PR_WaitCondVar + 75
3   XUL                            	0x017f3a2e NS_GetComponentRegistrar_P + 41350
4   XUL                            	0x017f081f NS_GetComponentRegistrar_P + 28535
5   XUL                            	0x017bb2e9 GetSecurityContext(JNIEnv_*, nsISecurityContext**) + 99053
6   XUL                            	0x017f0a97 NS_GetComponentRegistrar_P + 29167
7   libnspr4.dylib                 	0x000501f8 PR_Select + 813
8   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 3:
0   libSystem.B.dylib              	0x900248c7 semaphore_wait_signal_trap + 7
1   libnspr4.dylib                 	0x0004bc59 PR_WaitCondVar + 213
2   XUL                            	0x01660b65 XRE_GetFileFromPath + 6527235
3   libnspr4.dylib                 	0x000501f8 PR_Select + 813
4   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 4:
0   libSystem.B.dylib              	0x900248c7 semaphore_wait_signal_trap + 7
1   libnspr4.dylib                 	0x0004bc59 PR_WaitCondVar + 213
2   XUL                            	0x01661473 XRE_GetFileFromPath + 6529553
3   libnspr4.dylib                 	0x000501f8 PR_Select + 813
4   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 5:
0   libSystem.B.dylib              	0x900248c7 semaphore_wait_signal_trap + 7
1   libnspr4.dylib                 	0x0004bc59 PR_WaitCondVar + 213
2   libnspr4.dylib                 	0x0004beb9 PR_Wait + 53
3   XUL                            	0x017efba6 NS_GetComponentRegistrar_P + 25342
4   XUL                            	0x017f07f7 NS_GetComponentRegistrar_P + 28495
5   XUL                            	0x017bb2e9 GetSecurityContext(JNIEnv_*, nsISecurityContext**) + 99053
6   XUL                            	0x017f0aae NS_GetComponentRegistrar_P + 29190
7   libnspr4.dylib                 	0x000501f8 PR_Select + 813
8   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 6:
0   libSystem.B.dylib              	0x90026d5c kevent + 12
1   ...ple.CoreServices.CarbonCore 	0x90cb8c68 PrivateMPEntryPoint + 51
2   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 7:
0   libSystem.B.dylib              	0x900248c7 semaphore_wait_signal_trap + 7
1   ...ple.CoreServices.CarbonCore 	0x90cb8e0d MPWaitOnQueue + 198
2   com.apple.DesktopServices      	0x9271e943 TNodeSyncTask::SyncTaskProc(void*) + 143
3   ...ple.CoreServices.CarbonCore 	0x90cb8c68 PrivateMPEntryPoint + 51
4   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 8:
0   libSystem.B.dylib              	0x900248c7 semaphore_wait_signal_trap + 7
1   com.apple.Foundation           	0x9284e250 -[NSConditionLock lockWhenCondition:] + 39
2   com.apple.AppKit               	0x9334d2a4 -[NSUIHeartBeat _heartBeatThread:] + 377
3   com.apple.Foundation           	0x927f82c0 forkThreadForFunction + 123
4   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 9:
0   libSystem.B.dylib              	0x90009cd7 mach_msg_trap + 7
1   com.apple.CoreFoundation       	0x9082d23b CFRunLoopRunSpecific + 2014
2   com.apple.CoreFoundation       	0x9082ca56 CFRunLoopRunInMode + 61
3   com.apple.audio.CoreAudio      	0x91469356 HALRunLoop::OwnThread(void*) + 158
4   com.apple.audio.CoreAudio      	0x91469171 CAPThread::Entry(CAPThread*) + 93
5   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 10:
0   libSystem.B.dylib              	0x90009cd7 mach_msg_trap + 7
1   libjvm.dylib                   	0x9b24369d JNI_CreateJavaVM_Impl + 52863
2   libjvm.dylib                   	0x9b243638 JNI_CreateJavaVM_Impl + 52762
3   libjvm.dylib                   	0x9b24354b JNI_CreateJavaVM_Impl + 52525
4   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 11:
0   libSystem.B.dylib              	0x90009cd7 mach_msg_trap + 7
1   libjvm.dylib                   	0x9b2aa7f6 jio_snprintf + 390082
2   libjvm.dylib                   	0x9b2aa674 jio_snprintf + 389696
3   libjvm.dylib                   	0x9b2aad12 jio_snprintf + 391390
4   libjvm.dylib                   	0x9b2aa368 jio_snprintf + 388916
5   libjvm.dylib                   	0x9b24354b JNI_CreateJavaVM_Impl + 52525
6   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 12:
0   libSystem.B.dylib              	0x90009cd7 mach_msg_trap + 7
1   libjvm.dylib                   	0x9b2aa8ac jio_snprintf + 390264
2   libjvm.dylib                   	0x9b2b94c5 JVM_MonitorWait + 3669
3   libjvm.dylib                   	0x9b2b8ae6 JVM_MonitorWait + 1142
4   libjvm.dylib                   	0x9b2b8869 JVM_MonitorWait + 505
5   <<00000000>> 	0x17010281 0 + 385942145
6   <<00000000>> 	0x1700a9d3 0 + 385919443
7   <<00000000>> 	0x1700a9d3 0 + 385919443
8   <<00000000>> 	0x1700821f 0 + 385909279
9   libjvm.dylib                   	0x9b2abf8a jio_snprintf + 396118
10  libjvm.dylib                   	0x9b2b8667 JVM_StartThread + 2397
11  libjvm.dylib                   	0x9b2b8579 JVM_StartThread + 2159
12  libjvm.dylib                   	0x9b2b84bd JVM_StartThread + 1971
13  libjvm.dylib                   	0x9b2b83e1 JVM_StartThread + 1751
14  libjvm.dylib                   	0x9b24354b JNI_CreateJavaVM_Impl + 52525
15  libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 13:
0   libSystem.B.dylib              	0x90009cd7 mach_msg_trap + 7
1   libjvm.dylib                   	0x9b2aa8ac jio_snprintf + 390264
2   libjvm.dylib                   	0x9b2b94c5 JVM_MonitorWait + 3669
3   libjvm.dylib                   	0x9b2b8ae6 JVM_MonitorWait + 1142
4   libjvm.dylib                   	0x9b2b8869 JVM_MonitorWait + 505
5   <<00000000>> 	0x17010281 0 + 385942145
6   <<00000000>> 	0x1700a9d3 0 + 385919443
7   <<00000000>> 	0x1700aaaa 0 + 385919658
8   <<00000000>> 	0x1700aaaa 0 + 385919658
9   <<00000000>> 	0x1700821f 0 + 385909279
10  libjvm.dylib                   	0x9b2abf8a jio_snprintf + 396118
11  libjvm.dylib                   	0x9b2b8667 JVM_StartThread + 2397
12  libjvm.dylib                   	0x9b2b8579 JVM_StartThread + 2159
13  libjvm.dylib                   	0x9b2b84bd JVM_StartThread + 1971
14  libjvm.dylib                   	0x9b2b83e1 JVM_StartThread + 1751
15  libjvm.dylib                   	0x9b24354b JNI_CreateJavaVM_Impl + 52525
16  libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 14:
0   libSystem.B.dylib              	0x9002493f semaphore_wait_trap + 7
1   libjvm.dylib                   	0x9b2cb829 JVM_RegisterSignal + 8825
2   libjvm.dylib                   	0x9b2b83e1 JVM_StartThread + 1751
3   libjvm.dylib                   	0x9b24354b JNI_CreateJavaVM_Impl + 52525
4   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 15:
0   libSystem.B.dylib              	0x90009cd7 mach_msg_trap + 7
1   libjvm.dylib                   	0x9b2aa8ac jio_snprintf + 390264
2   libjvm.dylib                   	0x9b2aa531 jio_snprintf + 389373
3   libjvm.dylib                   	0x9b2cce21 JVM_RegisterSignal + 14449
4   libjvm.dylib                   	0x9b2ccb19 JVM_RegisterSignal + 13673
5   libjvm.dylib                   	0x9b2b83e1 JVM_StartThread + 1751
6   libjvm.dylib                   	0x9b24354b JNI_CreateJavaVM_Impl + 52525
7   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 16:
0   libSystem.B.dylib              	0x90009cd7 mach_msg_trap + 7
1   libjvm.dylib                   	0x9b2aa8ac jio_snprintf + 390264
2   libjvm.dylib                   	0x9b2aa674 jio_snprintf + 389696
3   libjvm.dylib                   	0x9b2cd4b2 JVM_RegisterSignal + 16130
4   libjvm.dylib                   	0x9b2b83e1 JVM_StartThread + 1751
5   libjvm.dylib                   	0x9b24354b JNI_CreateJavaVM_Impl + 52525
6   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 17:
0   libSystem.B.dylib              	0x90009cd7 mach_msg_trap + 7
1   libjvm.dylib                   	0x9b2aa7f6 jio_snprintf + 390082
2   libjvm.dylib                   	0x9b2deebc JVM_RegisterSignal + 88332
3   libjvm.dylib                   	0x9b2deb0a JVM_RegisterSignal + 87386
4   libjvm.dylib                   	0x9b24354b JNI_CreateJavaVM_Impl + 52525
5   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 18:
0   libSystem.B.dylib              	0x9001a1cc select + 12
1   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 19:
0   libSystem.B.dylib              	0x90047dd7 semaphore_timedwait_signal_trap + 7
1   libnspr4.dylib                 	0x0004b878 PR_Lock + 246
2   libnspr4.dylib                 	0x0004bbcf PR_WaitCondVar + 75
3   XUL                            	0x0108dece XRE_GetFileFromPath + 420972
4   XUL                            	0x0108e77a XRE_GetFileFromPath + 423192
5   libnspr4.dylib                 	0x000501f8 PR_Select + 813
6   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 20:
0   libSystem.B.dylib              	0x90047dd7 semaphore_timedwait_signal_trap + 7
1   libnspr4.dylib                 	0x0004b878 PR_Lock + 246
2   libnspr4.dylib                 	0x0004bbcf PR_WaitCondVar + 75
3   libnspr4.dylib                 	0x0004beb9 PR_Wait + 53
4   XUL                            	0x017f2089 NS_GetComponentRegistrar_P + 34785
5   XUL                            	0x017f081f NS_GetComponentRegistrar_P + 28535
6   XUL                            	0x017bb2e9 GetSecurityContext(JNIEnv_*, nsISecurityContext**) + 99053
7   XUL                            	0x017f0a97 NS_GetComponentRegistrar_P + 29167
8   libnspr4.dylib                 	0x000501f8 PR_Select + 813
9   libSystem.B.dylib              	0x90024227 _pthread_body + 84

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x00000000  ebx: 0x93795c07  ecx: 0x90ab6398  edx: 0x00000000
  edi: 0x00000008  esi: 0x0000000b  ebp: 0xbfffbb98  esp: 0xbfffbb04
   ss: 0x0000001f  efl: 0x00010202  eip: 0x90a594c7   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037

Binary Images Description:
    0x1000 -     0x1fff org.mozilla.firefox 3.0b5pre	/Applications/Minefield.app/Contents/MacOS/firefox-bin
    0x5000 -     0x5fff libxpcom.dylib 	/Applications/Minefield.app/Contents/MacOS/libxpcom.dylib
    0xa000 -     0xffff libplds4.dylib 	/Applications/Minefield.app/Contents/MacOS/libplds4.dylib
   0x14000 -    0x19fff libplc4.dylib 	/Applications/Minefield.app/Contents/MacOS/libplc4.dylib
   0x35000 -    0x5afff libnspr4.dylib 	/Applications/Minefield.app/Contents/MacOS/libnspr4.dylib
   0x6a000 -    0x80fff libsmime3.dylib 	/Applications/Minefield.app/Contents/MacOS/libsmime3.dylib
   0xa5000 -    0xcafff libssl3.dylib 	/Applications/Minefield.app/Contents/MacOS/libssl3.dylib
   0xd5000 -    0xe1fff libnssutil3.dylib 	/Applications/Minefield.app/Contents/MacOS/libnssutil3.dylib
  0x205000 -   0x298fff libmozjs.dylib 	/Applications/Minefield.app/Contents/MacOS/libmozjs.dylib
  0x2aa000 -   0x302fff libsqlite3.dylib 	/Applications/Minefield.app/Contents/MacOS/libsqlite3.dylib
  0x309000 -   0x3c9fff libnss3.dylib 	/Applications/Minefield.app/Contents/MacOS/libnss3.dylib
  0x3f1000 -   0x418fff libsoftokn3.dylib 	/Applications/Minefield.app/Contents/MacOS/libsoftokn3.dylib
  0x6bc000 -   0x6c6fff libalerts_s.dylib 	/Applications/Minefield.app/Contents/MacOS/components/libalerts_s.dylib
  0x6cc000 -   0x6f1fff libbrowsercomps.dylib 	/Applications/Minefield.app/Contents/MacOS/components/libbrowsercomps.dylib
  0x6f9000 -   0x6fcfff libbrowserdirprovider.dylib 	/Applications/Minefield.app/Contents/MacOS/components/libbrowserdirprovider.dylib
 0x1008000 -  0x1a7efff XUL 	/Applications/Minefield.app/Contents/MacOS/XUL
 0x1ea7000 -  0x1ec3fff libnssdbm3.dylib 	/Applications/Minefield.app/Contents/MacOS/libnssdbm3.dylib
 0x1f35000 -  0x1f98fff libfreebl3.dylib 	/Applications/Minefield.app/Contents/MacOS/libfreebl3.dylib
 0x1fa0000 -  0x1fd3fff libnssckbi.dylib 	/Applications/Minefield.app/Contents/MacOS/libnssckbi.dylib
 0xdfc7000 -  0xdfcbfff com.apple.locale.textbreak.thai 1.0.2	/System/Library/LocalePlugins/ThaiTextBreak.localePlugin/Contents/MacOS/ThaiTextBreak
0x12149000 - 0x1214afff com.apple.textencoding.unicode 2.1	/System/Library/TextEncodings/Unicode Encodings.bundle/Contents/MacOS/Unicode Encodings
0x12acc000 - 0x12acefff com.netscape.DefaultPlugin Default Plug-in version 1.0 (1.0)	/Applications/Minefield.app/Contents/MacOS/plugins/Default Plugin.plugin/Contents/MacOS/Default Plugin
0x12ad3000 - 0x12ad3fff com.joost.browserplugin.mac 0.13.2	/Users/user/Library/Internet Plug-Ins/JoostPlugin.plugin/Contents/MacOS/JoostPlugin
0x12ad7000 - 0x12adbfff net.telestream.wmv.plugin 2.1.3.10	/Library/Internet Plug-Ins/Flip4Mac WMV Plugin.plugin/Contents/MacOS/Flip4Mac WMV Plugin
0x12ae1000 - 0x12ae1fff com.apple.verifieddownloadplugin 1.0 (31984)	/Library/Internet Plug-Ins/VerifiedDownloadPlugin.plugin/Contents/MacOS/VerifiedDownloadPlugin
0x12d92000 - 0x12dc2fff com.netscape.MRJPlugin MRJ Plugin version 1.0-JEP-0.9.6.3 (1.0-JEP-0.9.6.3)	/Applications/Minefield.app/Contents/MacOS/plugins/MRJPlugin.plugin/Contents/MacOS/MRJPlugin
0x12f05000 - 0x12f47fff JavaEmbeddingPlugin Java Embedding Plugin version 0.9.6.3 (0.9.6.3)	/Applications/Minefield.app/Contents/MacOS/plugins/JavaEmbeddingPlugin.bundle/Contents/MacOS/JavaEmbeddingPlugin
0x12f55000 - 0x12f90fff com.webex.WebEx 1.0 (1.0.0.166)	/Users/user/Library/Internet Plug-Ins/WebEx.plugin/Contents/MacOS/WebEx
0x13305000 - 0x13902fff com.macromedia.Flash Player.plugin 9.0.115 (1.0.4f60)	/Library/Internet Plug-Ins/Flash Player.plugin/Contents/MacOS/Flash Player
0x151d7000 - 0x151dcfff com.apple.audio.AppleHDAHALPlugIn 1.3.7 (1.3.7a23)	/System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
0x70000000 - 0x700fafff com.apple.audio.units.Components 1.4.7	/System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
0x8fe00000 - 0x8fe4afff dyld 46.16	/usr/lib/dyld
0x90000000 - 0x90171fff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x901c1000 - 0x901c3fff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x901c5000 - 0x90202fff com.apple.CoreText 1.1.3 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90229000 - 0x902fffff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9031f000 - 0x90774fff com.apple.CoreGraphics 1.258.77 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9080b000 - 0x908d3fff com.apple.CoreFoundation 6.4.9 (368.31)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x90911000 - 0x90911fff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x90913000 - 0x90a07fff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x90a57000 - 0x90ad6fff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90aff000 - 0x90b63fff libstdc++.6.dylib 	/usr/lib/libstdc++.6.dylib
0x90bd2000 - 0x90bd9fff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x90bde000 - 0x90c51fff com.apple.framework.IOKit 1.4.8 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90c66000 - 0x90c78fff libauto.dylib 	/usr/lib/libauto.dylib
0x90c7e000 - 0x90f24fff com.apple.CoreServices.CarbonCore 682.28	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90f67000 - 0x90fcffff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x91008000 - 0x91047fff com.apple.CFNetwork 129.22	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x9105a000 - 0x9106afff com.apple.WebServices 1.1.3 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x91075000 - 0x910f4fff com.apple.SearchKit 1.0.7	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9112e000 - 0x9114cfff com.apple.Metadata 10.4.4 (121.36)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x91158000 - 0x91166fff libz.1.dylib 	/usr/lib/libz.1.dylib
0x91169000 - 0x91308fff com.apple.security 4.5.2 (29774)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x91406000 - 0x9140efff com.apple.DiskArbitration 2.1.2	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91415000 - 0x9141cfff libbsm.dylib 	/usr/lib/libbsm.dylib
0x91420000 - 0x91446fff com.apple.SystemConfiguration 1.8.6	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91458000 - 0x914cefff com.apple.audio.CoreAudio 3.0.5	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9151f000 - 0x9151ffff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x91521000 - 0x9154dfff com.apple.AE 314 (313)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x91560000 - 0x91634fff com.apple.ColorSync 4.4.10	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9166f000 - 0x916e2fff com.apple.print.framework.PrintCore 4.6 (177.13)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x91710000 - 0x917b9fff com.apple.QD 3.10.25 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x917df000 - 0x9182afff com.apple.HIServices 1.5.2 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x91849000 - 0x9185ffff com.apple.LangAnalysis 1.6.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x9186b000 - 0x91886fff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x91891000 - 0x918cefff com.apple.LaunchServices 182	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x918e2000 - 0x918eefff com.apple.speech.synthesis.framework 3.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x918f5000 - 0x91935fff com.apple.ImageIO.framework 1.5.6	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91948000 - 0x919fafff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x91a40000 - 0x91a56fff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x91a5b000 - 0x91a79fff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91a7e000 - 0x91addfff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91aef000 - 0x91af3fff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91af5000 - 0x91b7dfff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91b81000 - 0x91bbefff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91bc4000 - 0x91bdefff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91be3000 - 0x91be5fff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91be7000 - 0x91cc5fff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x91ce2000 - 0x91ce2fff com.apple.Accelerate 1.3.1 (Accelerate 1.3.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91ce4000 - 0x91d72fff com.apple.vImage 2.5	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91d79000 - 0x91d79fff com.apple.Accelerate.vecLib 3.3.1 (vecLib 3.3.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91d7b000 - 0x91dd4fff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91ddd000 - 0x91e01fff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91e09000 - 0x92212fff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x9224c000 - 0x92600fff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x9262d000 - 0x9271afff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x9271c000 - 0x9279afff com.apple.DesktopServices 1.3.7	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x927db000 - 0x92a0bfff com.apple.Foundation 6.4.9 (567.36)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92b25000 - 0x92b3cfff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92b47000 - 0x92b9ffff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92bb3000 - 0x92bb3fff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92bb5000 - 0x92bc5fff com.apple.ImageCapture 3.0.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92bd4000 - 0x92bdcfff com.apple.speech.recognition.framework 3.6	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92be2000 - 0x92be8fff com.apple.securityhi 2.0.1 (24742)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92bee000 - 0x92c7ffff com.apple.ink.framework 101.2.1 (71)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92c93000 - 0x92c97fff com.apple.help 1.0.3 (32.1)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92c9a000 - 0x92cb8fff com.apple.openscripting 1.2.5 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92cca000 - 0x92cd0fff com.apple.print.framework.Print 5.2 (192.4)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92cd6000 - 0x92d39fff com.apple.htmlrendering 66.1 (1.1.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x92d60000 - 0x92da1fff com.apple.NavigationServices 3.4.4 (3.4.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x92dc8000 - 0x92dd6fff com.apple.audio.SoundManager 3.9.1	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x92ddd000 - 0x92de2fff com.apple.CommonPanels 1.2.3 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x92de7000 - 0x930dcfff com.apple.HIToolbox 1.4.10 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x931e2000 - 0x931edfff com.apple.opengl 1.4.16	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x93216000 - 0x9321afff com.apple.JavaVM 11.7.0	/System/Library/Frameworks/JavaVM.framework/Versions/A/JavaVM
0x9325d000 - 0x9325dfff com.apple.Cocoa 6.4 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x9325f000 - 0x93915fff com.apple.AppKit 6.4.9 (824.44)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x93c96000 - 0x93d11fff com.apple.CoreData 91 (92.1)	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x93d4a000 - 0x93e03fff com.apple.audio.toolbox.AudioToolbox 1.4.7	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x93e46000 - 0x93e46fff com.apple.audio.units.AudioUnit 1.4.2	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x93e48000 - 0x94009fff com.apple.QuartzCore 1.4.12	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x9404f000 - 0x94090fff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x94098000 - 0x940d2fff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x940d7000 - 0x940edfff com.apple.CoreVideo 1.4.2	/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x94281000 - 0x94290fff libCGATS.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x94297000 - 0x942a2fff libCSync.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x942ee000 - 0x94308fff libRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x9430e000 - 0x94625fff com.apple.QuickTime 7.4.1 (14)	/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x95dbb000 - 0x95dd1fff libJapaneseConverter.dylib 	/System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0x95dd3000 - 0x95df4fff libKoreanConverter.dylib 	/System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0x95e01000 - 0x95e0ffff libSimplifiedChineseConverter.dylib 	/System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x95e17000 - 0x95e29fff libTraditionalChineseConverter.dylib 	/System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x964de000 - 0x964f7fff libObjCJava.A.dylib 	/usr/lib/java/libObjCJava.A.dylib
0x967d2000 - 0x967d2fff com.apple.vecLib 3.3.1 (vecLib 3.3.1)	/System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x96e41000 - 0x96e46fff com.apple.agl 2.5.9 (AGL-2.5.9)	/System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x971e4000 - 0x971f8fff com.apple.audio.CoreAudioKit 1.0.1	/System/Library/Frameworks/CoreAudioKit.framework/Versions/A/CoreAudioKit
0x9796e000 - 0x9797dfff com.apple.JavaApplicationLauncher 11.7.0	/System/Library/PrivateFrameworks/JavaApplicationLauncher.framework/Versions/A/JavaApplicationLauncher
0x981c1000 - 0x99041fff com.apple.QuickTimeComponents.component 7.4.1 (14)	/System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x99dde000 - 0x99e0efff com.apple.QuickTime Plugin.plugin 7.4.1 (14)	/Library/Internet Plug-Ins/QuickTime Plugin.plugin/Contents/MacOS/QuickTime Plugin
0x9b235000 - 0x9b57afff libjvm.dylib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjvm.dylib
0x9b5a4000 - 0x9b5bffff libjava.jnilib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libjava.jnilib
0x9b5ca000 - 0x9b5d2fff libverify.dylib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libverify.dylib
0x9b963000 - 0x9b96ffff libzip.jnilib 	/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Libraries/libzip.jnilib
(In reply to comment #10 and comment #11)

The stack from comment #11, and the fact that you crashed even once
with the tryserver build containing patches for bug 419668 (and bug
409615), shows that this bug is unrelated to bug 419668.

I look forward to finding a way to reproduce this.  And by the way,
Ludovic, we ultimately need one that's publicly accessible (either a
publicly accessible URL or a self-contained testcase that you post
here).

(Note:  The next time you post a crashreporterd crashlog, please "Add
an attachment", rather than paste the whole thing into a comment.)
(Reporter)

Comment 13

11 years ago
(In reply to comment #12)
> (In reply to comment #10 and comment #11)
 
> I look forward to finding a way to reproduce this.  And by the way,
> Ludovic, we ultimately need one that's publicly accessible (either a
> publicly accessible URL or a self-contained testcase that you post
> here).

Working on that.

 
> (Note:  The next time you post a crashreporterd crashlog, please "Add
> an attachment", rather than paste the whole thing into a comment.)
> 

Was lazy and just copy pasted the last crash report contained in the log file. Will do next time.
(Reporter)

Comment 14

11 years ago
(In reply to comment #13)

> Working on that.

So I have a few issues :
 a) I really can't open the url to the public the code where we select the file from is the following :
<tr>
    <th><label for="comlfile">Select COML file to import </label></th><td><input id="comlfile" name="comlfile" size="50" type="file" onChange="if (this.value != '' * (document.getElementById('comlarea').innerHTML != '')) { document.getElementById('comlarea').innerHTML = ''; }"><div id="comlarea" class="error"></div><div></div></td>
 </tr>
 b) I have two other machines on whcih I've tried to reproduced and could not crash firefox - they run the same OS version, one is a PPC G5 imac, the other one is a core duo Mac Book Pro. Machine on which it happens is a core 2 duo.
 c) The user reproducing this as Filevault enabled. Still trying to figure out what might be different on his system.

Updated

10 years ago
Assignee: joshmoz → nobody

Comment 15

9 years ago
Tsk, is your colleague still hitting this bug using Firefox 3.5 and Mac OS X 10.5?

If so, I recommend trying to make a reduced testcase based on the internal page that triggers the bug.  That might give us some hints as to what triggers this.

Alternatively, we could go for some good old https://developer.mozilla.org/en/Remote_debugging.
Summary: Double clicking on a file in the file selection dialog crashes Firefox → Double clicking on a file in the file selection dialog crashes Firefox [@ -[NSTableView drawRowIndexes:clipRect:]]

Updated

9 years ago
Whiteboard: [needs input from Tsk]
(Reporter)

Comment 16

9 years ago
Colleague is not a Colleague anymore :-( The machine as been reassigned and the webserver is no more. I think closing incomplete would make sense.
Whiteboard: [needs input from Tsk]

Updated

9 years ago
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → INCOMPLETE
(Assignee)

Updated

7 years ago
Crash Signature: [@ -[NSTableView drawRowIndexes:clipRect:]]
You need to log in before you can comment on or make changes to this bug.